Bug 203676 - [MAINTAINER] net-im/jitsi: update to 2.8
Summary: [MAINTAINER] net-im/jitsi: update to 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 203125
  Show dependency treegraph
 
Reported: 2015-10-10 13:35 UTC by Tzanetos Balitsaris
Modified: 2015-10-12 14:28 UTC (History)
1 user (show)

See Also:


Attachments
Patch for updating the current net-im/jitsi port. (8.94 KB, patch)
2015-10-10 13:35 UTC, Tzanetos Balitsaris
no flags Details | Diff
Remove i386 from supported architectures (9.00 KB, patch)
2015-10-11 09:13 UTC, Tzanetos Balitsaris
no flags Details | Diff
Patch that updates Jitsi to 2.8 and uses distfile that includes both amd64 and i386 libraries (8.94 KB, patch)
2015-10-12 10:50 UTC, Tzanetos Balitsaris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tzanetos Balitsaris 2015-10-10 13:35:09 UTC
Created attachment 161879 [details]
Patch for updating the current net-im/jitsi port.

Update Jitsi from 2.3 to the latest stable snapshot 2.8.5426.
Comment 1 Steve Wills freebsd_committer 2015-10-10 23:27:39 UTC
This fails to package on 11-i386 for me:

===>  Building package for jitsi-2.8.5426
pkg-static: Unable to access file /wrkdirs/usr/ports/net-im/jitsi/work/stage/usr/local/lib/jitsi/lib/native/libjnopus.so: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-im/jitsi/work/stage/usr/local/lib/jitsi/lib/native/libjnpulseaudio.so: No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/net-im/jitsi/work/stage/usr/local/lib/jitsi/lib/native/libjnvideo4linux2.so: No such file or directory
pkg-static: duplicate file listing: /usr/local/libdata/ldconfig/jitsi, ignoring
pkg-static: duplicate file listing: /usr/local/share/applications/jitsi.desktop, ignoring
Comment 2 Tzanetos Balitsaris 2015-10-11 09:13:43 UTC
Created attachment 161901 [details]
Remove i386 from supported architectures
Comment 3 Steve Wills freebsd_committer 2015-10-11 11:40:57 UTC
(In reply to Tzanetos Balitsaris from comment #2)
Why not just add the missing 32bit libs and fix the other simple packaging errors?
Comment 4 Tzanetos Balitsaris 2015-10-11 11:54:31 UTC
(In reply to Steve Wills from comment #3)
I tried first to cross compile the libraries on a 10.2-RELEASE amd64 virtual machine that I used to update the port, but they failed. So I thought to release the update only for amd64 to stop blocking the openjdk 8 bug, and add those libraries in a following update. Anyway, let me try to build a i386 vm and build those libraries now.
Comment 5 Steve Wills freebsd_committer 2015-10-11 13:00:24 UTC
(In reply to Tzanetos Balitsaris from comment #4)

Ah, OK. Thanks for the effort. BTW, it might be easier to setup a 32 bit jail instead. Poudriere can make this really easy. Setting up poudriere in your 64 bit VM might be the easiest way to go.
Comment 6 Tzanetos Balitsaris 2015-10-12 10:50:42 UTC
Created attachment 161937 [details]
Patch that updates Jitsi to 2.8 and uses distfile that includes both amd64 and i386 libraries
Comment 7 commit-hook freebsd_committer 2015-10-12 14:26:10 UTC
A commit references this bug:

Author: swills
Date: Mon Oct 12 14:25:51 UTC 2015
New revision: 399134
URL: https://svnweb.freebsd.org/changeset/ports/399134

Log:
  net-im/jitsi: update to 2.8

  PR:		203676
  Submitted by:	Tzanetos Balitsaris <tzabal@it.teithe.gr> (maintainer)

Changes:
  head/net-im/jitsi/Makefile
  head/net-im/jitsi/distinfo
  head/net-im/jitsi/files/jitsi.sh
  head/net-im/jitsi/pkg-message
  head/net-im/jitsi/pkg-plist
Comment 8 Steve Wills freebsd_committer 2015-10-12 14:27:39 UTC
Committed, thanks!